/*
  SH7045F ւ̏݃c[
  Satofumi KAMIMURA
  $Id$
*/

#include "fztatCtrl.h"
#include "optionHandler.h"
#include <stdio.h>
#include <exception>


int main(int argc, char *argv[]) {

  // gp|[gA݃t@C̎擾
  OptionHandler opt(argc, argv);
  if (opt.get_targetFile().size() == 0) {
    printf("usage : %s <srec file>\n", argv[0]);
    exit(1);
  }
  
  try {
    // F-ZTAT IuWFNg̐
    FZtatCtrl fztat =
      FZtatCtrl(opt.get_targetFile().c_str(), opt.get_tty().c_str());

    // ݏ
    printf("check %s ... ", opt.get_targetFile().c_str());
    int totalByte = fztat.loadSfile();
    printf("O.K\n");
    
    printf("now setup SH7045F ... ");
    fztat.writeSetup();
    printf("O.K\n");

    // 
    int sended = 0;
    int n;
    while ((n = fztat.writeLine()) >= 0) {
      sended += n;
      printf("\r%3.1f %% complete.", 100.0 * sended / totalByte);
    }
    printf("\r%3.1f %% complete.", 100.0);
    printf("\n");
    printf("exit normaly.\n");

  } catch (std::exception& e) {
    printf("%s\n", e.what());
    printf("quit!\n");
  }
  
  return 0;
}
