#ifndef OPTION_H
#define OPTION_H

/*
  IvV̔o
  Satofumi KAMIMURA
  $Id$
*/

#include <string>


class OptionHandler {
  enum { DEFAULT_BAUDRATE = 9600 };
  std::string target_file;
  std::string tty_name;
  long baudrate;
  
  OptionHandler();

public:
  OptionHandler(int argc, char *argv[]);
  void print_help(void);
  std::string get_targetFile(void);
  std::string get_tty(void);
  long get_baudrate(void);
};

#endif // !OPTION_H
