/*
 * Rom writer program for SuperH processor
 * header file
 * $Id: wctrl.h,v 1.1.1.1 2002/05/05 06:57:13 satofumi Exp $
 */

#ifndef _WCTRL_H_
#define _WCTRL_H_

#define FLMCR1_ADDR 0xffff8580
#define WDT_TCSR_ADDR 0xffff8610
#define WDT_573u 0xa579
#define WDT_STOP 0xa5ff
#define WAIT_50u 350
#define WAIT_10u 70
#define WAIT_4u 28
#define WAIT_2u 14
#define WAIT_200u 1400
#define WRITE_TIMES 1000

#define FLM (*(volatile struct st_flm *)FLMCR1_ADDR) /* FLM Address */
#define WDT_TCSR_WORD (*(volatile int *)WDT_TCSR_ADDR) /* WatchDog Timer */

#endif /* #ifndef _WCTRL_H_ */
